/*tags styles*/
body {
    margin: 0;
    font-family: Helvetica, serif;
    background: linear-gradient(to top left, powderblue, pink)
}

a {
    text-decoration: none;
    color: black;
}

a:hover {
    text-decoration-line: underline;
}

/*header styles*/
.header {
    display: block;
    box-sizing: border-box;
    height: 55px;
    line-height: 38px;
    border: 1px solid #F18230;
    /*border-radius: 25px;*/
    font-size: 30px;
    color: #FFFFFF;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.25) 0%, rgba(255, 255, 255, 0) 100%), #f18230;
    text-align: center;
    font-weight: 600;
}

.header_button{
    display: inline-block;
    border: 2px solid black;
    transform: skewX(-20deg);
    padding: 5px;
}

.footer {
    display: block;
    box-sizing: border-box;
    height: 50px;
    line-height: 38px;
    border: 1px solid #F18230;
    border-radius: 25px;
    font-size: 30px;
    color: #FFFFFF;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.25) 0%, rgba(255, 255, 255, 0) 100%), #f18230;
    text-align: center;
    font-weight: 600;
}

/*posts*/
.post_list {
    display: inline-block;
    width: 100%;
}


.post {
    display: inline-block;
    width: 24.6%;
    margin-bottom: 20px;
}

.post_header {
    font-size: 30px;
    text-align: center;
    border: 3px solid;
    height: 80px;
    border-radius: 10px 10px 0 0;
}

.post_footer {
    font-size: 15px;
    border: 3px solid;
    border-radius: 0 0 10px 10px;
    border-top: none;
}

.post_info {
    font-size: 15px;
    border: 3px solid;
    border-bottom: none;
    border-top: none;
}

.post_body {
    font-size: 15px;
    border: 3px solid;
}

.detail_post {
    display: block;
    width: 1000px;
    margin: 0 auto;
    border: 2px solid;
    box-shadow: 5px 5px 3px black;
    margin-bottom: 30px;
    border-radius: 11px;
    padding: 1px;
    background: #FFFFFF;


}

.detail_post_title {
    font-size: 40px;
    text-align: center;
    border: 2px black solid;
    border-bottom: none;
    border-radius: 10px 10px 0 0;
    background: #F18230;
    color: #FFFFFF;
}

.detail_post_info {
    font-size: 20px;
    border: 2px black solid;
    background: #F18230;
    color: #FFFFFF;
}

.detail_post_text {
    font-size: 30px;
    border: 2px black solid;
    border-top: none;
    border-radius: 0 0 10px 10px;
    background: #F18230;
    color: #FFFFFF;
}

/*buttons styles*/
.button {
    display: inline-block;
    box-sizing: border-box;
    padding: 1px;
    margin: 0 15px 15px 0;
    outline: none;
    border: 1px solid #F18230;
    border-radius: 25px;
    height: 46px;
    line-height: 0;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
    color: #fff;
    background-color: #fff;
    position: relative;
    overflow: hidden;
    vertical-align: top;
    cursor: pointer;
    user-select: none;
    appearance: none;
    touch-action: manipulation;
}

.button span {
    display: block;
    box-sizing: border-box;
    padding: 0 25px;
    height: 42px;
    line-height: 38px;
    border: 1px solid #F18230;
    border-radius: 25px;
    font-size: 14px;
    color: #FFFFFF;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.25) 0%, rgba(255, 255, 255, 0) 100%), #f18230;
    text-align: center;
    font-weight: 600;
}

.button:focus-visible {
    box-shadow: 0 0 0 3px lightskyblue;
}

.button:hover span {
    background-color: #fba768
}

.button:active span {
    background-color: #c17237 !important;
}

.button:disabled {
    opacity: 0.65;
    pointer-events: none;
}

.button_block {
    display: inline-block;
    margin: 0 auto;
}

.post_short_text {
    word-break: break-word;
    min-height: 120px;
}

/*banner styles*/
.banner {
    width: 800px;
    height: 200px;
    border: 5px solid;
    border-radius: 20%;
    margin: 20px auto;
    background: linear-gradient(45deg, rgba(255, 255, 255, 0.25) 0%, rgb(236, 26, 32) 100%), #F18230;
}

.banner_text {
    text-align: center;
    margin-top: 30px;
    font-size: 105px;
    font-family: Roboto, serif;
}
